## cascading.tuple.hadoop.collect
Class HadoopTupleMapFactory

    java.lang.Object
      cascading.tuple.hadoop.collect.HadoopTupleMapFactory

All Implemented Interfaces:
  CascadingFactory<JobConf,Map<Tuple,Collection<Tuple>>>, TupleMapFactory<JobConf>

    public class HadoopTupleMapFactory

extends Object
implements TupleMapFactory<JobConf>

Field Summary

Fields inherited from interface cascading.tuple.collect.TupleMapFactory
`TUPLE_MAP_FACTORY`

Constructor Summary
`HadoopTupleMapFactory()`

Method Summary
`Map<Tuple,Collection<Tuple>>` `create(FlowProcess<JobConf> flowProcess)`
`void` `initialize(FlowProcess<JobConf> flowProcess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopTupleMapFactory

    public HadoopTupleMapFactory()

Method Detail

### initialize

    public void initialize(FlowProcess<JobConf> flowProcess)

  Specified by:
    `initialize` in interface `CascadingFactory<JobConf,Map<Tuple,Collection<Tuple>>>`

### create

    public Map<Tuple,Collection<Tuple>> create(FlowProcess<JobConf> flowProcess)

  Specified by:
    `create` in interface `CascadingFactory<JobConf,Map<Tuple,Collection<Tuple>>>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.